#
# spec file for package texi2html
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           texi2html
Version:        5.0
Release:        1.23
Summary:        Tool for converting texinfo documents to HTML
License:        GPL-2.0+
Group:          Productivity/Publishing/Texinfo
Url:            http://www.nongnu.org/texi2html/
Source0:        http://download.savannah.nongnu.org/releases/texi2html/texi2html-%{version}.tar.bz2
Patch1:         texi2html-1.78.dif
Patch2:         texi2html-5584.patch
Patch3:         03_add_build-date_param.patch
BuildRequires:  perl
BuildRequires:  perl-Text-Unidecode
BuildRequires:  perl-gettext
BuildRequires:  perl-libintl-perl
Requires:       perl-Text-Unidecode
Requires:       perl-gettext
Requires:       perl-libintl-perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Conflicts:      texinfo < 5.0
# Split provides: texi2html was part of texinfo until openSUSE 13.2
Provides:       texinfo:/usr/bin/texi2html

%description
The basic purpose of texi2html is to convert Texinfo documents into HTML,
and other formats.  Configuration files written in perl provide fine degree
of control over the final output, allowing most every aspect of the final
output not specified in the Texinfo input file to be specified.

%lang_package

%prep
%setup -q
%patch1
%patch2 -p0 -b .random
%patch3 -p1

# Avoid regenerated translations.pl as this becomes broken
mkdir i18n
touch i18n/en.thl
touch translations.pl

%build
LANG=POSIX
LC_ALL=POSIX
export LANG LC_ALL
%configure --enable-nls --with-encode --with-gnu-ld --with-unidecode --with-external-libintl-perl

make %{?_smp_mflags}

%install
%make_install
rm -rf %{buildroot}%{_datadir}/texinfo/
rm -rf %{buildroot}%{_datadir}/locale/*.us-ascii
rm -rf %{buildroot}%{_datadir}/%{name}/lib/libintl-perl/

%find_lang %name
%find_lang %{name}_document

%post
%install_info --info-dir=%{_infodir} %{_infodir}/texi2html.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/texi2html.info.gz

%files
%defattr(-,root,root)
%doc COPYING NEWS README doc/texi2html.html
%{_bindir}/texi2html
%{_infodir}/texi2html.info.gz
%{_mandir}/man1/texi2html.1.gz
%{_datadir}/texi2html

%files lang -f %name.lang -f %{name}_document.lang
%defattr(-,root,root)

%changelog
* Sat May  6 2017 bwiedemann@suse.com
- Add 03_add_build-date_param.patch from Debian to allow overriding
  build date of output html files
* Fri Feb  6 2015 werner@suse.de
- Move %%install_info_delete from %%postun to %%preun
* Thu Feb  5 2015 dimstar@opensuse.org
- Maintain texi2html as full independent package: there is no need
  to have it interlinked with texinfo.
- Add proper split provides to specify the split away from texinfo.
* Thu Feb  5 2015 werner@suse.de
- Update texi2html to 5.0 (2010-06-27)
  * The program may be called as makeinfo, with a handling of options
    and defaults matching makeinfo.
    It may also be called as texi2any, with makeinfo defaults and all
    the texi2html command-line arguments that are not obsolete.
  * new info and plaintext backends, ready for world domination!
    Corresponding test results are added.
  * main program handles --xml, --docbook, --info, --html and --plaintext.
  * Handle @DH{}, @dh{}, @TH{}, @th{}, @headitemfont, @part and
    @allowcodebreaks false
  * Handle -o /dev/null (or NUL) like makeinfo.
  * Read TEXINFO_OUTPUT_FORMAT in env to determine the output format.
  * add 0x7F as a comment character.
  * When called as texi2html, output the title page at the beginning.
  * mediawiki backend completed.
  * Translations of error messages available.
  * Handling of @itemize and @table arguments are more in line with makeinfo.
  * ignore @setfilename in @include'd files, as told in the texinfo manual.
  * many warning messages added, especially for Info to match makeinfo.
  * Still provide the default output with --macro-expand.
  * Handle correctly @w in info and html.
  * Much more ...
- Use the external packages perl-libintl-perl and perl-Text-Unidecode
  instead of the otherwise included libintl-perl and perl-Text-Unidecode
- Add patch texi2html-5584.patch as backport of upstream submit #5584
  to fix boo#916186
* Thu Aug  7 2014 dmitry_r@opensuse.org
- Split from texinfo package
- Import:
  * texi2html-1.78.dif
  * config-guess-sub-update.patch
